haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.GType

Synopsis

- data GType
- gtypeIsA :: GType -> GType -> Bool
- gtypeIsBoxed :: GType -> Bool

# Documentation

data GType Source #

A newtype for use on the Haskell side.

#### Instances

Instances details

Show GType |
Instance details Defined in Data.GI.Base.BasicTypes Methods showsPrec :: Int -> GType -> ShowS Source # show :: GType -> String Source # showList :: [GType] -> ShowS Source #
Eq GType |
Instance details Defined in Data.GI.Base.BasicTypes Methods (==) :: GType -> GType -> Bool Source # (/=) :: GType -> GType -> Bool Source #
IsGValue GType |
Instance details Defined in Data.GI.Base.GValue Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> GType -> IO () Source # gvalueGet_ :: Ptr GValue -> IO GType Source #

gtypeIsA :: GType -> GType -> Bool Source #

gtypeIsBoxed :: GType -> Bool Source #